summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-11-06 09:23:23 +0000
committerJim Meyering <jim@meyering.net>2002-11-06 09:23:23 +0000
commiteff5b46e0cbf606da47e60ecc0272d87c43946ac (patch)
treeb4295b51aa9dd1c9e1cc61c7b8018ca068698e8a /tests
parentfc34d6284cbcb0325ddba79c569b4a09fb16a6e7 (diff)
downloadcoreutils-eff5b46e0cbf606da47e60ecc0272d87c43946ac.tar.xz
Be careful to test the code in this package, not the shell built-in function.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/misc/printf6
1 files changed, 4 insertions, 2 deletions
diff --git a/tests/misc/printf b/tests/misc/printf
index 4e215026b..cbca7ea4e 100755
--- a/tests/misc/printf
+++ b/tests/misc/printf
@@ -1,9 +1,11 @@
#!/bin/sh
# basic tests for printf
+prog=`pwd`/../../src/printf
+
if test "$VERBOSE" = yes; then
set -x
- printf --version
+ $prog --version
fi
pwd=`pwd`
@@ -24,7 +26,7 @@ fail=0
# This would fail (by printing the `--') for printf in sh-utils
# and in coreutils 4.5.1.
-printf -- 'foo\n' > out || fail=1
+$prog -- 'foo\n' > out || fail=1
cat <<\EOF > exp
foo
EOF